<?php

$debug_mode        = "all";    // Show settings? "all", "admin" or "off"

$error_mode        = "max";    // Show errors? "max", "normal", or "off"

$gzip_compression  = "on";     // Use compression? "on" or "off"

$show_queries      = "admin";  // Show queries? "all", "admin", or "off"

$magic_quotes      = "off";    // Use magic quotes? "on" or "off"


$query_log = "";

$row_log   = "";

if($error_mode == "max"){

  error_reporting(E_ALL);

}else if($error_mode == "normal"){

  error_reporting(E_ERROR | E_WARNING | E_PARSE);

}else{

  error_reporting(0);

}



if($magic_quotes == "on"){

  set_magic_quotes_runtime(1);

  ini_set("magic_quotes_gpc", 1);

}else{

  set_magic_quotes_runtime(0);

  ini_set("magic_quotes_gpc", 0);

}



if($gzip_compression == "on"){

  ob_start("ob_gzhandler"); //GZIP Compression Mode

}else{

  ob_start();

}


function show_queries(){
  global $show_queries, $query_log, $row_log, $usrdata;

  if($show_queries == "all"){

    echo "

    <span class='theader'>

      <b>Queries:</b><br>

      $query_log";

      if(!empty($row_log)){

        echo "<br><b>Row Nums:</b><br>\n$row_log";

      }

    echo "

    </span>";

  }else if(($show_queries == "admin") && ($usrdata['Moderator'] == 1)){

    echo "

    <span class='theader'>

      <b>Queries:</b><br>

      $query_log";

      if(!empty($row_log)){

        echo "<br><b>Row Nums:</b><br>\n$row_log";

      }

    echo "

    </span>";

  }
}

function printDebug(){

  global $totaltime, $query_count, $error_mode, $gzip_compression, $show_queries;

  return "

  <table border='0' cellpadding='3' cellspacing='0' class='theader'>

    <tr>

      <td colspan='2' align='center'><b>Debug Settings</b></td>

    </tr>

    <tr>

      <td>Generation time</td>

      <td><b>$totaltime</b> seconds</td>

    </tr>

    <tr>

      <td>MySQL queries</td>

      <td><b>$query_count</b> queries</td>

    </tr>

    <tr>

      <td>PsychoMode&trade;</td>

      <td><b>$error_mode</b></td>

    </tr>

    <tr>

      <td>GZIP Compression</td>

      <td><b>$gzip_compression</b></td>

    </tr>

    <tr>

      <td>Query Display</td>

      <td><b>$show_queries</b></td>

    </tr>

  </table>

  <br><br>";

}